version   = $(shell egrep "version string = " config/static.go | cut -d'"' -f 2)
BRANCH    = $(shell git branch --show-current)
COMMIT    = $(shell git rev-parse --short=8 HEAD)
BUILD     = $(shell date +%Y.%m.%d.%H%M%S) 
#VERSION  := $(if $(filter $(BRANCH), development),$(version)-$(BRANCH)-$(COMMIT)-$(BUILD),$(version))
VERSION := $(version)-$(BRANCH)-$(COMMIT)-$(BUILD)
SHORTVERSION := $(version)-$(BRANCH)-$(COMMIT)
LDFLAGS := -ldflags "-X 'openquell/config.VERSION=$(VERSION)'"

all: clean build
	@echo ok

clean:
	rm -f openquell

build:
	go build -ldflags "-X 'openquell/config.VERSION=$(VERSION)'"

buildwasm:
	env GOOS=js GOARCH=wasm go build -o openquell.wasm $(LDFLAGS) .

zipwasm:
	zip -r openquell-$(SHORTVERSION).zip index.html openquell.wasm wasm_exec.js

wasm: buildwasm zipwasm
	@ls -l openquell-$(SHORTVERSION).zip

test:
	@echo $(VERSION)
